# namespace-uri-from-QName

Extracts the namespace URI component of a QName value

namespace-uri-from-QName($arg as xs:QName?) → xs:anyURI?

Arguments
| $arg | xs:QName? | The QName value whose URI component is required
Result | xs:anyURI?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next